<?php

use PhpCsFixer\Fixer\ClassNotation\ClassAttributesSeparationFixer;
use PhpCsFixer\Fixer\ClassNotation\VisibilityRequiredFixer;
use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;
use Symplify\EasyCodingStandard\ValueObject\Option;

return static function (ContainerConfigurator $containerConfigurator): void {
    $containerConfigurator->import('vendor/sylius-labs/coding-standard/ecs.php');

    $containerConfigurator->parameters()->set(Option::SKIP, [
        VisibilityRequiredFixer::class => ['*Spec.php'],
    ]);

    # Fixes InvalidOptionsException: Unexpected element type, expected any of "const", "method", "property", "trait_import", got "integer#0". : See https://github.com/SyliusLabs/CodingStandard/pull/41/files
    $containerConfigurator->services()->set(ClassAttributesSeparationFixer::class)->call('configure', [['elements' => ['method' => 'one']]]);
};
