<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler;

use Dedi\SyliusMigrationPlugin\DependencyInjection\Configuration;
use Symfony\Component\Config\Definition\Processor;
use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;

class MigrationConfigPass implements CompilerPassInterface
{
    public function process(ContainerBuilder $container)
    {
        $configuration = $container->getExtensionConfig('dedi_sylius_migration');
        $processor = new Processor();
        $mappingConfiguration = new Configuration();
        $configuration = $processor->processConfiguration(
            $mappingConfiguration,
            $configuration
        );
        $migrationConfigDefinition = $container->getDefinition('dedi_migration_config');
        $migrationConfigDefinition->addMethodCall('setParams', [$configuration['config']]);
    }
}
